## ros-indigo-create-node 2.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(create_node)

find_package(catkin REQUIRED COMPONENTS create_driver
                                        diagnostic_msgs
                                        dynamic_reconfigure
                                        geometry_msgs
                                        message_generation
                                        nav_msgs
                                        rospy
                                        tf)

catkin_python_setup()

add_message_files(DIRECTORY msg
                  FILES BatteryState.msg
                        Drive.msg
                        RawTurtlebotSensorState.msg
                        RoombaSensorState.msg
                        Turtle.msg
                        TurtlebotSensorState.msg)
                        
add_service_files(DIRECTORY srv
                  FILES SetDigitalOutputs.srv
                        SetTurtlebotMode.srv)

generate_messages(DEPENDENCIES diagnostic_msgs
                               geometry_msgs
                               nav_msgs)
                               
generate_dynamic_reconfigure_options(cfg/TurtleBot.cfg)

catkin_package(CATKIN_DEPENDS diagnostic_msgs
                              geometry_msgs
                              message_runtime
                              nav_msgs)

install(PROGRAMS scripts/kinect_breaker_enabler.py
                 scripts/load_calib.py
                 nodes/turtlebot_node.py
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-indigo-create-node (2.3.0-0trusty) trusty; urgency=high

  * Set queue size
  * Actually use provided configuration
  * Contributors: Kenneth Bogert, trainman419

 -- OSRF <turtlebot@osrfoundation.org>  Sat, 29 Nov 2014 15:00:00 -0000

ros-indigo-create-node (2.2.1-0trusty) trusty; urgency=high

  * Remove open() to fix double-open exception. Improve error info when an exception on opening serial port happens
  * Bug fixes
  * Attempt to use the usb to serial converter's id
    If the robot receives a velocity command we'll assume that it's been
    brought up and must now move.  If we don't have the kinect's serial number
    yet assume we won't ever get it.  Instead attempt to find a calibration file
    that matches the serial number of the usb to serial converter that should be
    attached at /dev/ttyUSB0.  This setup will prevent the calibration script from
    running indefinitely waiting for a kinect that might never come.
  * Import calibration load script
    This script uses the serial number of the attached kinect to identify the turtlebot that is currently connected and attempts to load a calibration file for it from a standard location.
    Needs more work to detect an xtion plugged in instead of a kinect, as well as if neither are plugged in.
  * Contributors: Kenneth Bogert, Paul Bouchier

 -- OSRF <turtlebot@osrfoundation.org>  Tue, 22 Jul 2014 15:00:00 -0000

ros-indigo-create-node (2.2.0-0trusty) trusty; urgency=high

  * adds bugtracker and repo info to package.xml

 -- OSRF <turtlebot@osrfoundation.org>  Thu, 29 Aug 2013 15:00:00 -0000

ros-indigo-create-node (2.1.0-0trusty) trusty; urgency=high

  * ROS Hydro beta release
  * Fully catkinized

 -- OSRF <turtlebot@osrfoundation.org>  Thu, 18 Jul 2013 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-create-node
Section: misc
Priority: extra
Maintainer: OSRF <turtlebot@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-create-driver, ros-indigo-diagnostic-msgs, ros-indigo-dynamic-reconfigure, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-nav-msgs, ros-indigo-rospy, ros-indigo-tf
Homepage: http://ros.org/wiki/create_node
Standards-Version: 3.9.2

Package: ros-indigo-create-node
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-create-driver, ros-indigo-diagnostic-msgs, ros-indigo-dynamic-reconfigure, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-nav-msgs, ros-indigo-python-orocos-kdl, ros-indigo-rospy, ros-indigo-tf
Description: iRobot Create ROS driver node ROS bindings for the Create/Roomba driver. This is based on otl_roomba driver by OTL, ported to use create_driver's implementation instead. This also contains a 'bonus' feature from the turtlebot driver by Xuwen Cao and Morgan Quigley.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-create-node//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
